MGR Version 4.0

Important: Installing this version will break the ability to log in to AccuFarm.¬†Only install this update if are ready to use AgWare MGR exclusively. Requirements Database version 644 (read instructions … Read more